## urwid 1.1.1

=== docs/Makefile ===

PYTHON_SOURCE=$(shell echo tutorial/*.py.xdotool)
TARGETS=${PYTHON_SOURCE:.py.xdotool=1.png}
TOOLS=tools/compile_pngs.sh tools/screenshots.sh

.PHONY: all

all: ${TARGETS}

${TARGETS}: %1.png: %.py %.py.xdotool ${TOOLS}
	echo zzz $<
	tools/compile_pngs.sh $<

apt-get-dependencies:
	sudo apt-get install xvfb rxvt-unicode-256color xdotool

## urwid 1.0.0

=== debian/changelog ===
urwid (1.0.0-4) unstable; urgency=low

  * workaround for doctest ELLIPSIS bug

 -- Ian Ward <ian@excess.org>  Fri, 28 Oct 2011 16:35:26 +0000

urwid (1.0.0-3) unstable; urgency=low

  [ Ian Ward ]
  * patch for vterm.py in kfreebsd

  [ Piotr Ożarowski ]
  * source package format changed to 3.0 (quilt)

 -- Ian Ward <ian@excess.org>  Tue, 25 Oct 2011 00:35:22 +0000

urwid (1.0.0-2) unstable; urgency=low

  * fix for event_loop arch test failures

 -- Ian Ward <ian@excess.org>  Thu, 20 Oct 2011 20:40:38 +0000

urwid (1.0.0-1) unstable; urgency=low

  * New upstream release
  * transition to dh_python2
  * tests moved to 'setup.py test'
  * new example programs

 -- Ian Ward <ian@excess.org>  Sun, 16 Oct 2011 02:10:25 +0000

urwid (0.9.9.2-1) unstable; urgency=low

  * New upstream release

 -- Ian Ward <ian@excess.org>  Sat, 16 Jul 2011 01:02:39 +0000

urwid (0.9.9.1-1) unstable; urgency=low

  * New upstream release
  * Closes: #565162
  * fix_attrwrap_doctests patch no longer required

 -- Ian Ward <ian@excess.org>  Mon, 25 Jan 2010 12:57:53 +0000

urwid (0.9.9-2) unstable; urgency=low

  * fix for failing doctest under powerpc
  * add palette_test.py to examples (new example program)

 -- Ian Ward <ian@excess.org>  Tue, 24 Nov 2009 20:58:49 +0000

urwid (0.9.9-1) unstable; urgency=low

  * New upstream release
  * Build-Depends python-gobject and python-twisted for doctests
    of GLibEventLoop and TwistedEventLoop to pass

 -- Ian Ward <ian@excess.org>  Wed, 18 Nov 2009 04:06:23 +0000

urwid (0.9.8.4-1) unstable; urgency=low

  * New upstream release

 -- Ian Ward <ian@excess.org>  Sat, 14 Mar 2009 00:30:33 +0000

urwid (0.9.8.3-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Emilio Pozuelo Monfort ]
  * debian/rules: Don't rely on python-support internals. Thanks
    Josselin Mouette. Closes: #517312.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Fri, 27 Feb 2009 00:25:06 +0100

urwid (0.9.8.3-1) unstable; urgency=low

  [ Ian Ward ]
  * New upstream release

  [ Piotr Ożarowski ]
  * Standards-Version bumped to 3.8.0 (no changes needed)

 -- Ian Ward <ian@excess.org>  Wed, 16 Jul 2008 21:23:51 +0000

urwid (0.9.8.2-1) unstable; urgency=low

  [ Ian Ward ]
  * New upstream release
  * fix for lintian error build-depends: python-setuptools (>= 0.6b3-1)
  * Bump Standards-Version (no changes)
  * Remove Paul Wise from Uploaders (Thanks for your help!)
  
  [ Piotr Ożarowski ]
  * Homepage field added
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

 -- Ian Ward <ian@excess.org>  Mon, 19 May 2008 18:13:22 +0000

urwid (0.9.8.1-1) unstable; urgency=low

  * New upstream release
  * Closes: #421546

 -- Ian Ward <ian@excess.org>  Thu, 21 Jun 2007 13:03:32 +0000

urwid (0.9.8-3) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New python-support handles egg's directory name correctly
    - bump python-support required version
    - remove mv part from debian/rules
    - Closes: #423984

  [ Paul Wise ]
  * Change my email address now that I'm a Debian Developer

 -- Paul Wise <pabs@debian.org>  Sun, 10 Jun 2007 22:26:52 +0100

urwid (0.9.8-2) unstable; urgency=low

  * move to unstable

 -- Ian Ward <ian@excess.org>  Sat, 14 Apr 2007 14:03:42 +0000

urwid (0.9.8-1) experimental; urgency=low

  * New upstream release
  * No longer arch-indep, adjust dependencies

 -- Ian Ward <ian@excess.org>  Sun, 25 Mar 2007 17:06:42 +0000

urwid (0.9.7.2-1) experimental; urgency=low

  [ Piotr Ozarowski ]
  * Added XS-Vcs-Svn field

  [ Ian Ward ]
  * New upstream release (Closes: #402523)

 -- Ian Ward <ian@excess.org>  Fri,  5 Jan 2007 04:36:20 +0000

urwid (0.9.7.1-1) unstable; urgency=low

  * New upstream release
    - add new example bigtext.py to debian/examples
  * Add depends on setuptools
  * Remove -py2.4 from .egg-info directory

 -- Ian Ward <ian@excess.org>  Wed,  4 Oct 2006 01:56:11 +0000

urwid (0.9.6-2) unstable; urgency=low

  * Don't test all python versions in debian/rules. (Closes: #384714)

 -- Ian Ward <ian@excess.org>  Sun, 27 Aug 2006 03:46:53 +0000

urwid (0.9.6-1) unstable; urgency=low

  * New upstream release
    - Supports rxvt HOME and END keys (Closes: #382991) 
    - docgen_tutorial.py now requires a parameter when run
  * urwid requires python >= 2.1, add debian/pyversions
  * Move python-support to build-depends
  * Remove Duild-Depends-Indep on python-all

 -- Ian Ward <ian@excess.org>  Wed, 23 Aug 2006 22:47:04 -0400

urwid (0.9.5-1) unstable; urgency=low

  * New upstream release
    - add new example graph.py to debian/examples
  * Build the tutorial and Build-Depend on python-templayer
  * Don't use XS-Python-Version and XB-Python-Version
  * Move python to Build-Depends
  * Only build the docs and run the tests once
  * CDBS cleans *.pyc files, don't do that
  * Remove the whole build directory on clean
  * Place the Debian packaging in the public domain
  * Bump debhelper Build-Dep to 5.0.37.2
  * Bump python-support Build-Dep to 0.3
  * Add a debian/pycompat file

 -- Paul Wise <pabs3@bonedaddy.net>  Sun, 16 Jul 2006 00:04:10 +0800

urwid (0.9.4-1) unstable; urgency=low

  * New upstream release
    - Drop fix_shebangs (fixed upstream) and dpatch build-dep
    - Do not generate or install the tutorial yet (no templayer)
    - Drop README.Source, since we now have source for everything
  * Generate and install reference.html
  * Update for new Python Policy (Closes: #373403)
  * Conflict/replace upstream packages
  * Bump Standards-Version (no changes)
  * Move debhelper and cdbs to Build-Depends (needed on clean)
  * Add executable bits to the .py files since they have shebangs
  * Add Ian Ward (upstream) to Uploaders, he will co-maintain it

 -- Paul Wise <pabs3@bonedaddy.net>  Thu, 15 Jun 2006 19:10:29 +0800

urwid (0.9.3.dfsg.1-1) unstable; urgency=low



=== debian/control ===
Source: urwid
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Gustavo Franco <stratus@debian.org>, Ian Ward <ian@excess.org>
Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.90~), python (>= 2.6.6-3~), python-setuptools (>= 0.6.16), python-all-dev (>= 2.6.6-3~), python-templayer, python-gobject, python-twisted
Standards-Version: 3.9.2
Homepage: http://excess.org/urwid/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/urwid/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/urwid/trunk/
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.2

Package: python-urwid
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: curses-based UI/widget library for Python
 Urwid is a console user interface library that includes many features
 useful for text console application developers including:
 .
  * Fluid interface resizing (xterm window resizing/fbset on Linux console)
  * Web application display mode using Apache and CGI
  * Support for UTF-8, simple 8-bit and CJK encodings
  * Multiple text alignment and wrapping modes built-in
  * Ability to create user-defined text layout classes
  * Simple markup for setting text attributes
  * Powerful list box that handles scrolling between different widget types
  * List box contents may be managed with a user-defined class
  * Flexible edit box for editing many different types of text
  * Buttons, check boxes and radio boxes
  * Customizable layout for all widgets
  * Easy interface for creating HTML screen shots

=== debian/rules ===
#!/usr/bin/make -f


include /usr/share/cdbs/1/rules/debhelper.mk
DEB_INSTALL_CHANGELOGS_ALL=CHANGELOG
include /usr/share/cdbs/1/class/python-distutils.mk

build/python-urwid:: build-docs-test-stamp
build-docs-test-stamp:
	python setup.py test
	python docgen_reference.py > build/reference.html
	python docgen_tutorial.py -H > build/tutorial.html
	touch build-docs-test-stamp

install/python-urwid::
	chmod a+x debian/python-urwid/usr/lib/python*/site-packages/urwid/*.py
	chmod a-x debian/python-urwid/usr/lib/python*/site-packages/urwid/version.py

clean::
	rm -rf build build-docs-test-stamp

## urwid 1.0.1

=== debian/changelog ===
urwid (1.0.1-2) unstable; urgency=low

  * generate python3 package as well, closes #640127

 -- Ian Ward <ian@excess.org>  Sun, 11 Dec 2011 02:02:03 +0000

urwid (1.0.1-1) unstable; urgency=low

  * New upstream release
  * remove vterm patch (included upstream)

 -- Ian Ward <ian@excess.org>  Sat, 10 Dec 2011 20:38:55 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Gustavo Franco <stratus@debian.org>, Ian Ward <ian@excess.org>
-Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.90~), python (>= 2.6.6-3~), python-setuptools (>= 0.6.16), python-all-dev (>= 2.6.6-3~), python-templayer, python-gobject, python-twisted
+Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.90~), python-setuptools (>= 0.6.16), python-all-dev (>= 2.6.6-3~), python-templayer, python-gobject, python-twisted, python3-all-dev (>= 3.2), python3-setuptools
 Standards-Version: 3.9.2
 Homepage: http://excess.org/urwid/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/urwid/trunk/
@@ -31,3 +31,24 @@
   * Buttons, check boxes and radio boxes
   * Customizable layout for all widgets
   * Easy interface for creating HTML screen shots
+
+Package: python3-urwid
+Architecture: any
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Provides: ${python:Provides}
+Description: curses-based UI/widget library for Python 3
+ Urwid is a console user interface library that includes many features
+ useful for text console application developers including:
+ .
+  * Fluid interface resizing (xterm window resizing/fbset on Linux console)
+  * Web application display mode using Apache and CGI
+  * Support for UTF-8, simple 8-bit and CJK encodings
+  * Multiple text alignment and wrapping modes built-in
+  * Ability to create user-defined text layout classes
+  * Simple markup for setting text attributes
+  * Powerful list box that handles scrolling between different widget types
+  * List box contents may be managed with a user-defined class
+  * Flexible edit box for editing many different types of text
+  * Buttons, check boxes and radio boxes
+  * Customizable layout for all widgets
+  * Easy interface for creating HTML screen shots

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,8 @@
 	touch build-docs-test-stamp
 
 install/python-urwid::
-	chmod a+x debian/python-urwid/usr/lib/python*/site-packages/urwid/*.py
-	chmod a-x debian/python-urwid/usr/lib/python*/site-packages/urwid/version.py
+	chmod a+x debian/tmp/usr/lib/python*/site-packages/urwid/*.py
+	chmod a-x debian/tmp/usr/lib/python*/site-packages/urwid/version.py
 
 clean::
 	rm -rf build build-docs-test-stamp

## urwid 1.0.2

=== debian/changelog ===
urwid (1.0.2-1ubuntu2) raring; urgency=low

  * Rebuild to drop python3.2 extension.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Nov 2012 11:16:53 +0000

urwid (1.0.2-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable (LP: #1073918) .  Remaining changes:
    - Fix 50 shades of python2,3 brokenness with cdbs.

 -- Vibhav Pant <vibhavp@gmail.com>  Mon, 05 Nov 2012 22:32:06 +0100

urwid (1.0.2-1) unstable; urgency=low

  * New upstream release

 -- Ian Ward <ian@excess.org>  Fri, 13 Jul 2012 21:56:33 +0000

urwid (1.0.1-2ubuntu1) raring; urgency=low

  * Fix 50 shades of python2,3 brokenness with cdbs.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Oct 2012 13:36:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: urwid
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Gustavo Franco <stratus@debian.org>, Ian Ward <ian@excess.org>
 Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.90~), python-setuptools (>= 0.6.16), python-all-dev (>= 2.6.6-3~), python-templayer, python-gobject, python-twisted, python3-all-dev (>= 3.2), python3-setuptools
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://excess.org/urwid/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/urwid/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/urwid/trunk/

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 
+DEB_PYTHON_DISTUTILS_INSTALLDIR_SKEL=/usr/lib/@PYTHONBINARY@/dist-packages/
+DEB_PYTHON_INSTALL_ARGS_ALL=--prefix=/usr --no-compile -O0 --install-layout=deb
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 DEB_INSTALL_CHANGELOGS_ALL=CHANGELOG
@@ -13,8 +15,13 @@
 	touch build-docs-test-stamp
 
 install/python-urwid::
-	chmod a+x debian/tmp/usr/lib/python*/site-packages/urwid/*.py
-	chmod a-x debian/tmp/usr/lib/python*/site-packages/urwid/version.py
+	chmod a+x debian/tmp/usr/lib/python*/dist-packages/urwid/*.py
+	chmod a-x debian/tmp/usr/lib/python*/dist-packages/urwid/version.py
+
+install/python3-urwid::
+	mv debian/tmp/usr/lib/$(shell py3versions -d) debian/tmp/usr/lib/python3
+	-cp debian/tmp/usr/lib/python3.*/dist-packages/urwid/*.so debian/tmp/usr/lib/python3/dist-packages/urwid/
+	rm -rf debian/tmp/usr/lib/python3.*
 
 clean::
-	rm -rf build build-docs-test-stamp
+	rm -rf build build-docs-test-stamp *.egg-info urwid/*.so

## urwid 1.1.1

=== debian/changelog ===
urwid (1.1.1-1build2) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Apr 2014 15:14:38 +0100

urwid (1.1.1-1build1) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 19:32:53 +0000

urwid (1.1.1-1) unstable; urgency=low

  * Team upload
  * Upload to unstable

  [ Dmitrijs Ledkovs ]
  * Fix debian/rules to support builds with multiple python3 versions
    (Closes: #692383)

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Scott Kitterman ]
  * New upstream release
    - Refreshed debian/patches/001_fix_event_loop_arch_build_errors.patch

 -- Scott Kitterman <scott@kitterman.com>  Wed, 22 May 2013 09:22:00 -0400

urwid (1.1.0-1) experimental; urgency=low

  [ Piotr Ożarowski ]
  * Remove urwid.egg-info dir and .so files in clean target

  [ Ian Ward ]
  * New upstream release
  * documentation now built with sphinx
  * examples moved to examples/ directory

 -- Ian Ward <ian@excess.org>  Fri, 02 Nov 2012 00:49:26 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Gustavo Franco <stratus@debian.org>, Ian Ward <ian@excess.org>
-Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.90~), python-setuptools (>= 0.6.16), python-all-dev (>= 2.6.6-3~), python-templayer, python-gobject, python-twisted, python3-all-dev (>= 3.2), python3-setuptools
+Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.90~), python-setuptools (>= 0.6.16), python-all-dev (>= 2.6.6-3~), python-sphinx, python-gobject, python-twisted, python3-all-dev (>= 3.2), python3-setuptools
 Standards-Version: 3.9.3
 Homepage: http://excess.org/urwid/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/urwid/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/urwid/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/urwid/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/urwid/trunk/
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.2

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,7 @@
 build/python-urwid:: build-docs-test-stamp
 build-docs-test-stamp:
 	python setup.py test
-	python docgen_reference.py > build/reference.html
-	python docgen_tutorial.py -H > build/tutorial.html
+	python setup.py build_sphinx
 	touch build-docs-test-stamp
 
 install/python-urwid::
@@ -24,4 +23,5 @@
 	rm -rf debian/tmp/usr/lib/python3.*
 
 clean::
-	rm -rf build build-docs-test-stamp *.egg-info urwid/*.so
+	rm -rf build build-docs-test-stamp urwid.egg-info
+	find . -name '*.so' -delete

=== debian/watch ===
version=2
http://excess.org/urwid/urwid-(.*)\.tar\.gz debian svn-upgrade

## urwid 1.2.1

=== debian/changelog ===
urwid (1.2.1-2) unstable; urgency=medium

  * Team upload.
  * Skip vterm test suite. (Closes: #743685)

 -- Vincent Cheng <vcheng@debian.org>  Sun, 18 May 2014 02:07:47 -0700

urwid (1.2.1-1) unstable; urgency=medium

  * Team upload.

  [ Robie Basak ]
  * Do not run tests if DEB_BUILD_OPTIONS specifies "nocheck".
    (Closes: #651648)
  * Run tests against all built Python versions. (Closes: #658585)

  [ Vincent Cheng ]
  * New upstream release.
    - Fix false failures of event loop tests. (Closes: #743118)
  * Update watch file.

 -- Vincent Cheng <vcheng@debian.org>  Fri, 04 Apr 2014 09:51:00 -0700

urwid (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #733828)
    - Drop 001_fix_event_loop_arch_build_errors.patch, no longer seems to be
      necessary for tests to pass.
  * Remove Gustavo Franco <stratus@debian.org> from Uploaders.
    (Closes: #729406)
  * Update Standards version to 3.9.5, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 11 Mar 2014 22:09:44 -0700

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,19 @@
 Source: urwid
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Gustavo Franco <stratus@debian.org>, Ian Ward <ian@excess.org>
-Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.90~), python-setuptools (>= 0.6.16), python-all-dev (>= 2.6.6-3~), python-sphinx, python-gobject, python-twisted, python3-all-dev (>= 3.2), python3-setuptools
-Standards-Version: 3.9.3
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Ian Ward <ian@excess.org>
+Build-Depends:
+ cdbs (>= 0.4.90~),
+ debhelper (>= 5.0.37.2),
+ python-all-dev (>= 2.6.6-3~),
+ python-gobject,
+ python-setuptools (>= 0.6.16),
+ python-sphinx,
+ python-twisted,
+ python3-all-dev (>= 3.2),
+ python3-setuptools
+Standards-Version: 3.9.5
 Homepage: http://excess.org/urwid/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/urwid/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/urwid/trunk/
@@ -14,9 +22,9 @@
 
 Package: python-urwid
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Provides: ${python:Provides}
-Description: curses-based UI/widget library for Python
+Description: curses-based UI/widget library for Python 2
  Urwid is a console user interface library that includes many features
  useful for text console application developers including:
  .
@@ -32,10 +40,12 @@
   * Buttons, check boxes and radio boxes
   * Customizable layout for all widgets
   * Easy interface for creating HTML screen shots
+ .
+ This is the Python 2 version of the package.
 
 Package: python3-urwid
 Architecture: any
-Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Provides: ${python:Provides}
 Description: curses-based UI/widget library for Python 3
  Urwid is a console user interface library that includes many features
@@ -53,3 +63,5 @@
   * Buttons, check boxes and radio boxes
   * Customizable layout for all widgets
   * Easy interface for creating HTML screen shots
+ .
+ This is the Python 3 version of the package.

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,19 @@
 DEB_PYTHON_INSTALL_ARGS_ALL=--prefix=/usr --no-compile -O0 --install-layout=deb
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-DEB_INSTALL_CHANGELOGS_ALL=CHANGELOG
+DEB_INSTALL_CHANGELOGS_ALL=docs/changelog.rst
 include /usr/share/cdbs/1/class/python-distutils.mk
 
 build/python-urwid:: build-docs-test-stamp
 build-docs-test-stamp:
-	python setup.py test
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	set -e; for python in $(shell pyversions -r) $(shell py3versions -r); do \
+		echo Testing with $$python; \
+		$$python setup.py test; \
+	done;
+else
+	@echo "** tests disabled"
+endif
 	python setup.py build_sphinx
 	touch build-docs-test-stamp
 
@@ -24,4 +31,5 @@
 
 clean::
 	rm -rf build build-docs-test-stamp urwid.egg-info
+	rm -f urwid/tests/test_vterm.py
 	find . -name '*.so' -delete

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/u/urwid/urwid-(.*).tar.gz

## urwid 1.3.1

=== debian/changelog ===
urwid (1.3.1-2build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 11:46:29 +0000

urwid (1.3.1-2) unstable; urgency=medium

  * Team upload.
  * Merge SVN-Git Migration changes (VCS-* fields)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Nov 2015 10:03:26 +0100

urwid (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Nov 2015 09:53:38 +0100

urwid (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * Skip vterm test suite.
    - it is FTBFS in armel, mipsel, s390x, hppa, hurd,
      ppc64, and maybe more, in a random way, rebuild
      makes tests pass.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Oct 2015 14:38:54 +0200

urwid (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * Refactor rules file to use pybuild.
  * Remove cdbs to build.
  * New upstream release. (Closes: #789767)
  * watch file: use pypi debian redirectory
  * Bump compat level to 9
  * Update standard version to 3.9.6, no changes required.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 15 Sep 2015 16:04:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ian Ward <ian@excess.org>
 Build-Depends:
- cdbs (>= 0.4.90~),
- debhelper (>= 5.0.37.2),
+ debhelper (>= 9),
  python-all-dev (>= 2.6.6-3~),
  python-gobject,
  python-setuptools (>= 0.6.16),
@@ -13,10 +12,10 @@
  python-twisted,
  python3-all-dev (>= 3.2),
  python3-setuptools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://excess.org/urwid/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/urwid/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/urwid/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/urwid.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/urwid.git
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.2

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=urwid

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -f urwid/tests/test_vterm.py
	dh_auto_clean

override_dh_auto_build:
	python setup.py build_sphinx
	dh_auto_build

## urwid 2.0.1

=== debian/changelog ===
urwid (2.0.1-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Sophie Brun ]
  * debian/control: add Breaks field for new package python-urwid-doc (Closes:
    #892877)

 -- Ondřej Nový <onovy@debian.org>  Mon, 12 Mar 2018 23:07:39 +0100

urwid (2.0.1-1) unstable; urgency=low

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org

  [ Sophie Brun ]
  * New upstream version 2.0.1 (Closes: #853013, #574737)
  * Update Homepage (Closes: #814457)
  * Remove useless dependency python-gobject (Closes: #890174)
  * Add autopkgtest-pkg-python
  * Create a separated package for documentation
  * Add hardening=+all in debian/rules
  * Bump Standards-version to 4.1.3 (no change required)
  * Use debhelper 11

  [ Raphaël Hertzog ]
  * Add dh-python to Build-Depends
  * Fix python3-urwid's Provides field to include ${python3:Provides}

 -- Sophie Brun <sophie@freexian.com>  Tue, 06 Mar 2018 14:39:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,25 +4,27 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ian Ward <ian@excess.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
+ dh-python,
  python-all-dev (>= 2.6.6-3~),
- python-gobject,
  python-setuptools (>= 0.6.16),
- python-sphinx,
  python-twisted,
  python3-all-dev (>= 3.2),
- python3-setuptools
-Standards-Version: 3.9.6
-Homepage: http://excess.org/urwid/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/urwid.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/urwid.git
+ python3-setuptools,
+ python3-sphinx
+Standards-Version: 4.1.3
+Homepage: http://urwid.org/
+Vcs-Git: https://salsa.debian.org/python-team/modules/urwid.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/urwid
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.2
+Testsuite: autopkgtest-pkg-python
 
 Package: python-urwid
 Architecture: any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Provides: ${python:Provides}
+Suggests: python-urwid-doc (>= 2.0.1-1)
 Description: curses-based UI/widget library for Python 2
  Urwid is a console user interface library that includes many features
  useful for text console application developers including:
@@ -45,7 +47,8 @@
 Package: python3-urwid
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
-Provides: ${python:Provides}
+Provides: ${python3:Provides}
+Suggests: python-urwid-doc (>= 2.0.1-1)
 Description: curses-based UI/widget library for Python 3
  Urwid is a console user interface library that includes many features
  useful for text console application developers including:
@@ -64,3 +67,28 @@
   * Easy interface for creating HTML screen shots
  .
  This is the Python 3 version of the package.
+
+Package: python-urwid-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Replaces: python-urwid (<< 2.0.1-1)
+Breaks: python-urwid (<< 2.0.1-1)
+Description: curses-based UI/widget library (common documentation)
+ Urwid is a console user interface library that includes many features
+ useful for text console application developers including:
+ .
+  * Fluid interface resizing (xterm window resizing/fbset on Linux console)
+  * Web application display mode using Apache and CGI
+  * Support for UTF-8, simple 8-bit and CJK encodings
+  * Multiple text alignment and wrapping modes built-in
+  * Ability to create user-defined text layout classes
+  * Simple markup for setting text attributes
+  * Powerful list box that handles scrolling between different widget types
+  * List box contents may be managed with a user-defined class
+  * Flexible edit box for editing many different types of text
+  * Buttons, check boxes and radio boxes
+  * Customizable layout for all widgets
+  * Easy interface for creating HTML screen shots
+ .
+ This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=urwid

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	rm -f urwid/tests/test_vterm.py
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs build/html # HTML generator

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/urwid/urwid-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## urwid 2.1.1

=== debian/changelog ===
urwid (2.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.1.1
  * Drop patch (merged upstream)
  * bump policy and debhelper versions
  * Add patch for new Sphinx (Closes: #963658)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 09 Aug 2020 17:14:29 +0200

urwid (2.1.0-4) unstable; urgency=medium

  * Team upload.
  * Add patch in case setlocal fails (Closes: #963315)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 02 Jul 2020 23:13:26 +0200

urwid (2.1.0-3) unstable; urgency=medium

  * Fix SyntaxWarning: "is not" with a literal (Closes: #963110).

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 19 Jun 2020 09:23:41 +0200

urwid (2.1.0-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Build-depend on locales-all to fix FTBFS (Closes: #959619).

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 19 Jun 2020 00:05:40 +0200

urwid (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Python dependency.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name,
    Repository, Repository-Browse.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 22 Apr 2020 23:06:03 +0200

urwid (2.0.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Add missing colon in closes line.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938759

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Mar 2020 21:58:15 -0400

=== debian/control ===
--- 
+++ 
@@ -4,45 +4,18 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ian Ward <ian@excess.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  dh-python,
- python-all-dev (>= 2.6.6-3~),
- python-setuptools (>= 0.6.16),
- python-twisted,
- python3-all-dev (>= 3.2),
+ locales-all,
+ python3-twisted,
+ python3-all-dev (>= 3.4),
  python3-setuptools,
  python3-sphinx
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Homepage: http://urwid.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/urwid.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/urwid
-X-Python-Version: >= 2.4
-X-Python3-Version: >= 3.2
 Testsuite: autopkgtest-pkg-python
-
-Package: python-urwid
-Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
-Provides: ${python:Provides}
-Suggests: python-urwid-doc (>= 2.0.1-1)
-Description: curses-based UI/widget library for Python 2
- Urwid is a console user interface library that includes many features
- useful for text console application developers including:
- .
-  * Fluid interface resizing (xterm window resizing/fbset on Linux console)
-  * Web application display mode using Apache and CGI
-  * Support for UTF-8, simple 8-bit and CJK encodings
-  * Multiple text alignment and wrapping modes built-in
-  * Ability to create user-defined text layout classes
-  * Simple markup for setting text attributes
-  * Powerful list box that handles scrolling between different widget types
-  * List box contents may be managed with a user-defined class
-  * Flexible edit box for editing many different types of text
-  * Buttons, check boxes and radio boxes
-  * Customizable layout for all widgets
-  * Easy interface for creating HTML screen shots
- .
- This is the Python 2 version of the package.
 
 Package: python3-urwid
 Architecture: any
@@ -74,6 +47,7 @@
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Replaces: python-urwid (<< 2.0.1-1)
 Breaks: python-urwid (<< 2.0.1-1)
+Multi-Arch: foreign
 Description: curses-based UI/widget library (common documentation)
  Urwid is a console user interface library that includes many features
  useful for text console application developers including:

## urwid 2.1.2

=== debian/changelog ===
urwid (2.1.2-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 17:47:30 +0000

urwid (2.1.2-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with Python 3.11 (Closes: #1023914)
  * Use dh-sequences
  * Move package description to source package
  * Bump policy version (no changes)
  * Drop old Break/Replaces (version in oldstable)
  * Make copyright machine readable
  * Simplify d/rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 18 Nov 2022 12:07:45 +0100

urwid (2.1.2-2) unstable; urgency=medium

  * Team upload.

  [ Gordon Ball ]
  * Fix github tarball pattern in d/watch

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.5.1, no changes needed.

 -- Gordon Ball <gordon@chronitis.net>  Sun, 10 Oct 2021 19:47:01 +0000

urwid (2.1.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Gordon Ball ]
  * d/watch: use github upstream
  * New upstream version 2.1.2
  * Rebase patches, drop upstreamed
  * d/control: Rules-Requires-Root: no

 -- Gordon Ball <gordon@chronitis.net>  Fri, 11 Dec 2020 16:41:17 +0000

=== debian/control ===
Source: urwid
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ian Ward <ian@excess.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 locales-all,
 python3-twisted,
 python3-all-dev,
 python3-setuptools,
 python3-sphinx
Standards-Version: 4.6.1
Homepage: https://urwid.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/urwid.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/urwid
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
Description: curses-based UI/widget library
 Urwid is a console user interface library that includes many features
 useful for text console application developers including:
 .
  * Fluid interface resizing (xterm window resizing/fbset on Linux console)
  * Web application display mode using Apache and CGI
  * Support for UTF-8, simple 8-bit and CJK encodings
  * Multiple text alignment and wrapping modes built-in
  * Ability to create user-defined text layout classes
  * Simple markup for setting text attributes
  * Powerful list box that handles scrolling between different widget types
  * List box contents may be managed with a user-defined class
  * Flexible edit box for editing many different types of text
  * Buttons, check boxes and radio boxes
  * Customizable layout for all widgets
  * Easy interface for creating HTML screen shots

Package: python3-urwid
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Suggests: python-urwid-doc
Description: ${source:Synopsis} for Python 3
 ${source:Extended-Description}
 .
 This is the Python 3 version of the package.

Package: python-urwid-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: ${source:Synopsis} (common documentation)
 ${source:Extended-Description}
 .
 This is the common documentation package.

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/urwid/urwid/tags .*/release-@ANY_VERSION@@ARCHIVE_EXT@

## urwid 2.4.1

=== debian/changelog ===
urwid (2.4.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Jan 2024 09:54:36 +0100

urwid (2.4.1-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
  * Update watch file.
  * Drop the version-module patch.
  * Build-depend on python3-setuptools-scm-git-archive.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Jan 2024 09:30:25 +0100

urwid (2.3.4-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
  * Update watch file.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Jan 2024 10:56:31 +0100

urwid (2.1.2-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Pull more patches for Python 3.12 compatibility. Closes: #1058250.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Jan 2024 10:51:54 +0100

urwid (2.1.2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update 0002-Drop-deprecated-asyncio.coroutine.patch. Closes: #1055547.
  * Fix cleaning the package. Closes: #1048119.

 -- Matthias Klose <doko@debian.org>  Mon, 01 Jan 2024 13:49:18 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
  python3-twisted,
  python3-all-dev,
  python3-setuptools,
- python3-sphinx
-Standards-Version: 4.6.1
+ python3-sphinx,
+ python3-setuptools-scm-git-archive,
+Standards-Version: 4.6.2
 Homepage: https://urwid.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/urwid.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/urwid

## urwid 2.5.2

=== debian/changelog ===
urwid (2.5.2-1) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Add new build-dependency python3-typing-extensions.
    + Add explicit build-dependency python3-setuptools.
    + Replace obsolete build-dependency python3-setuptools-scm-git-archive
      with python3-setuptools-scm. (Closes: #1062608)
    + Add Built-Using: ${sphinxdoc:Built-Using} for the doc package.

 -- Boyuan Yang <byang@debian.org>  Fri, 09 Feb 2024 22:53:20 -0500

urwid (2.4.6-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Jan 2024 19:25:50 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,12 @@
  dh-sequence-sphinxdoc,
  locales-all,
  python3-twisted,
+ python3-typing-extensions,
  python3-all-dev,
  python3-setuptools,
  python3-sphinx,
- python3-setuptools-scm-git-archive,
+ python3-setuptools,
+ python3-setuptools-scm,
 Standards-Version: 4.6.2
 Homepage: https://urwid.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/urwid.git
@@ -50,6 +52,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Multi-Arch: foreign
 Description: ${source:Synopsis} (common documentation)
  ${source:Extended-Description}

## urwid 2.6.10

=== debian/changelog ===
urwid (2.6.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 25 Mar 2024 22:52:55 -0400

urwid (2.6.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Add new build-dep python3-wcwidth.
  * debian/control: Build-depends on pybuild-plugin-pyproject.

 -- Boyuan Yang <byang@debian.org>  Sat, 24 Feb 2024 15:02:33 -0500

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
  locales-all,
+ pybuild-plugin-pyproject,
  python3-twisted,
  python3-typing-extensions,
  python3-all-dev,
@@ -15,6 +16,7 @@
  python3-sphinx,
  python3-setuptools,
  python3-setuptools-scm,
+ python3-wcwidth,
 Standards-Version: 4.6.2
 Homepage: https://urwid.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/urwid.git

## urwid 2.6.15

=== debian/changelog ===
urwid (2.6.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * The SyntaxWarning on invalid escape sequence is now fixed.
    (Closes: #1059827)

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Jul 2024 12:08:24 -0400

urwid (2.6.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #1069383)

 -- Boyuan Yang <byang@debian.org>  Wed, 12 Jun 2024 14:04:00 -0400

## urwid 2.6.16

=== debian/changelog ===
urwid (2.6.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Nov 2024 09:07:18 -0500

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-wcwidth,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://urwid.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/urwid.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/urwid

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=urwid

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_clean:
	rm -f urwid/tests/test_vterm.py

execute_after_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs build/html # HTML generator

override_dh_auto_clean:
	dh_auto_clean
	rm -f urwid/*.so
	rm -f urwid/version.py

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/urwid/urwid/tags .*/(\d[\-+\.:\~\d]*)@ARCHIVE_EXT@

## urwid 3.0.4

=== debian/changelog ===
urwid (3.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Bump Standards-Version to 4.7.3.
  * debian/patches/no-sphinx-changelog.diff: Dropped, merged upstream.
  * debian/watch: Update to version 5.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Jan 2026 21:02:16 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: urwid
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ian Ward <ian@excess.org>
 Build-Depends:
@@ -17,12 +16,11 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-wcwidth,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://urwid.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/urwid.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/urwid
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 Description: curses-based UI/widget library
  Urwid is a console user interface library that includes many features
  useful for text console application developers including:

=== debian/watch ===
Version: 5

Template: GitHub
Owner: urwid
Project: urwid
